Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.quartz
Interface ListenerManager

All Known Implementing Classes:
  ListenerManagerImpl

    public interface ListenerManager

Client programs may be interested in the 'listener' interfaces that are available from Quartz. The ``JobListener`` interface provides notifications of `Job` executions. The ``TriggerListener`` interface provides notifications of `Trigger` firings. The ``SchedulerListener`` interface provides notifications of `Scheduler` events and errors. Listeners can be associated with local schedulers through the `ListenerManager` interface.

Listener registration order is preserved, and hence notification of listeners will be in the order in which they were registered.

Since:
  2.0 - previously listeners were managed directly on the Scheduler interface.
Author:
  jhouse

Method Summary
`void` | `addJobListener(JobListener jobListener)` Add the given ``JobListener`` to the `Scheduler`, and register it to receive events for all Jobs.
`void` | `addJobListener(JobListener jobListener, List<Matcher<JobKey>> matchers)` Add the given ``JobListener`` to the `Scheduler`, and register it to receive events for Jobs that are matched by ANY of the given Matchers.
`void` | `addJobListener(JobListener jobListener, Matcher<JobKey>... matchers)` Add the given ``JobListener`` to the `Scheduler`, and register it to receive events for Jobs that are matched by ANY of the given Matchers.
`void` | `addJobListener(JobListener jobListener, Matcher<JobKey> matcher)` Add the given ``JobListener`` to the `Scheduler`, and register it to receive events for Jobs that are matched by the given Matcher.
`boolean` | `addJobListenerMatcher(String listenerName, Matcher<JobKey> matcher)` Add the given Matcher to the set of matchers for which the listener will receive events if ANY of the matchers match.
`void` | `addSchedulerListener(SchedulerListener schedulerListener)` Register the given ``SchedulerListener`` with the `Scheduler`.
`void` | `addTriggerListener(TriggerListener triggerListener)` Add the given ``TriggerListener`` to the `Scheduler`, and register it to receive events for all Triggers.
`void` | `addTriggerListener(TriggerListener triggerListener, List<Matcher<TriggerKey>> matchers)` Add the given ``TriggerListener`` to the `Scheduler`, and register it to receive events for Triggers that are matched by ANY of the given Matchers.
`void` | `addTriggerListener(TriggerListener triggerListener, Matcher<TriggerKey>... matchers)` Add the given ``TriggerListener`` to the `Scheduler`, and register it to receive events for Triggers that are matched by ANY of the given Matchers.
`void` | `addTriggerListener(TriggerListener triggerListener, Matcher<TriggerKey> matcher)` Add the given ``TriggerListener`` to the `Scheduler`, and register it to receive events for Triggers that are matched by the given Matcher.
`boolean` | `addTriggerListenerMatcher(String listenerName, Matcher<TriggerKey> matcher)` Add the given Matcher to the set of matchers for which the listener will receive events if ANY of the matchers match.
`JobListener` | `getJobListener(String name)` Get the ``JobListener`` that has the given name.
`List<Matcher<JobKey>>` | `getJobListenerMatchers(String listenerName)` Get the set of Matchers for which the listener will receive events if ANY of the matchers match.
`List<JobListener>` | `getJobListeners()` Get a List containing all of the ``JobListener``s in the `Scheduler`, in the order in which they were registered.
`List<SchedulerListener>` | `getSchedulerListeners()` Get a List containing all of the ``SchedulerListener``s registered with the `Scheduler`, in the order in which they were registered.
`TriggerListener` | `getTriggerListener(String name)` Get the ``TriggerListener`` that has the given name.
`List<Matcher<TriggerKey>>` | `getTriggerListenerMatchers(String listenerName)` Get the set of Matchers for which the listener will receive events if ANY of the matchers match.
`List<TriggerListener>` | `getTriggerListeners()` Get a List containing all of the ``TriggerListener``s in the `Scheduler`, in the order in which they were registered.
`boolean` | `removeJobListener(String name)` Remove the identified ``JobListener`` from the `Scheduler`.
`boolean` | `removeJobListenerMatcher(String listenerName, Matcher<JobKey> matcher)` Remove the given Matcher to the set of matchers for which the listener will receive events if ANY of the matchers match.
`boolean` | `removeSchedulerListener(SchedulerListener schedulerListener)` Remove the given ``SchedulerListener`` from the `Scheduler`.
`boolean` | `removeTriggerListener(String name)` Remove the identified ``TriggerListener`` from the `Scheduler`.
`boolean` | `removeTriggerListenerMatcher(String listenerName, Matcher<TriggerKey> matcher)` Remove the given Matcher to the set of matchers for which the listener will receive events if ANY of the matchers match.
`boolean` | `setJobListenerMatchers(String listenerName, List<Matcher<JobKey>> matchers)` Set the set of Matchers for which the listener will receive events if ANY of the matchers match.
`boolean` | `setTriggerListenerMatchers(String listenerName, List<Matcher<TriggerKey>> matchers)` Set the set of Matchers for which the listener will receive events if ANY of the matchers match.

Method Detail

### addJobListener

    void addJobListener(JobListener jobListener)

  Add the given ``JobListener`` to the `Scheduler`, and register it to receive events for all Jobs. Because no matchers are provided, the `EverythingMatcher` will be used.

  See Also:
    `Matcher`, `EverythingMatcher`

### addJobListener

    void addJobListener(JobListener jobListener,
                        Matcher<JobKey> matcher)

  Add the given ``JobListener`` to the `Scheduler`, and register it to receive events for Jobs that are matched by the given Matcher. If no matchers are provided, the `EverythingMatcher` will be used.

  See Also:
    `Matcher`, `EverythingMatcher`

### addJobListener

    void addJobListener(JobListener jobListener,
                        Matcher<JobKey>... matchers)

  Add the given ``JobListener`` to the `Scheduler`, and register it to receive events for Jobs that are matched by ANY of the given Matchers. If no matchers are provided, the `EverythingMatcher` will be used.

  See Also:
    `Matcher`, `EverythingMatcher`

### addJobListener

    void addJobListener(JobListener jobListener,
                        List<Matcher<JobKey>> matchers)

  Add the given ``JobListener`` to the `Scheduler`, and register it to receive events for Jobs that are matched by ANY of the given Matchers. If no matchers are provided, the `EverythingMatcher` will be used.

  See Also:
    `Matcher`, `EverythingMatcher`

### addJobListenerMatcher

    boolean addJobListenerMatcher(String listenerName,
                                  Matcher<JobKey> matcher)

  Add the given Matcher to the set of matchers for which the listener will receive events if ANY of the matchers match.

  Parameters:
    `listenerName` - the name of the listener to add the matcher to
    `matcher` - the additional matcher to apply for selecting events
  Returns:
    true if the identified listener was found and updated

### removeJobListenerMatcher

    boolean removeJobListenerMatcher(String listenerName,
                                     Matcher<JobKey> matcher)

  Remove the given Matcher to the set of matchers for which the listener will receive events if ANY of the matchers match.

  Parameters:
    `listenerName` - the name of the listener to add the matcher to
    `matcher` - the additional matcher to apply for selecting events
  Returns:
    true if the given matcher was found and removed from the listener's list of matchers

### setJobListenerMatchers

    boolean setJobListenerMatchers(String listenerName,
                                   List<Matcher<JobKey>> matchers)

  Set the set of Matchers for which the listener will receive events if ANY of the matchers match.

  Removes any existing matchers for the identified listener!

  Parameters:
    `listenerName` - the name of the listener to add the matcher to
    `matchers` - the matchers to apply for selecting events
  Returns:
    true if the given matcher was found and removed from the listener's list of matchers

### getJobListenerMatchers

    List<Matcher<JobKey>> getJobListenerMatchers(String listenerName)

  Get the set of Matchers for which the listener will receive events if ANY of the matchers match.

  Parameters:
    `listenerName` - the name of the listener to add the matcher to
  Returns:
    the matchers registered for selecting events for the identified listener

### removeJobListener

    boolean removeJobListener(String name)

  Remove the identified ``JobListener`` from the `Scheduler`.

  Returns:
    true if the identified listener was found in the list, and removed.

### getJobListeners

    List<JobListener> getJobListeners()

  Get a List containing all of the ``JobListener``s in the `Scheduler`, in the order in which they were registered.

### getJobListener

    JobListener getJobListener(String name)

  Get the ``JobListener`` that has the given name.

### addTriggerListener

    void addTriggerListener(TriggerListener triggerListener)

  Add the given ``TriggerListener`` to the `Scheduler`, and register it to receive events for all Triggers. Because no matcher is provided, the `EverythingMatcher` will be used.

  See Also:
    `Matcher`, `EverythingMatcher`

### addTriggerListener

    void addTriggerListener(TriggerListener triggerListener,
                            Matcher<TriggerKey> matcher)

  Add the given ``TriggerListener`` to the `Scheduler`, and register it to receive events for Triggers that are matched by the given Matcher. If no matcher is provided, the `EverythingMatcher` will be used.

  See Also:
    `Matcher`, `EverythingMatcher`

### addTriggerListener

    void addTriggerListener(TriggerListener triggerListener,
                            Matcher<TriggerKey>... matchers)

  Add the given ``TriggerListener`` to the `Scheduler`, and register it to receive events for Triggers that are matched by ANY of the given Matchers. If no matcher is provided, the `EverythingMatcher` will be used.

  See Also:
    `Matcher`, `EverythingMatcher`

### addTriggerListener

    void addTriggerListener(TriggerListener triggerListener,
                            List<Matcher<TriggerKey>> matchers)

  Add the given ``TriggerListener`` to the `Scheduler`, and register it to receive events for Triggers that are matched by ANY of the given Matchers. If no matcher is provided, the `EverythingMatcher` will be used.

  See Also:
    `Matcher`, `EverythingMatcher`

### addTriggerListenerMatcher

    boolean addTriggerListenerMatcher(String listenerName,
                                      Matcher<TriggerKey> matcher)

  Add the given Matcher to the set of matchers for which the listener will receive events if ANY of the matchers match.

  Parameters:
    `listenerName` - the name of the listener to add the matcher to
    `matcher` - the additional matcher to apply for selecting events
  Returns:
    true if the identified listener was found and updated

### removeTriggerListenerMatcher

    boolean removeTriggerListenerMatcher(String listenerName,
                                         Matcher<TriggerKey> matcher)

  Remove the given Matcher to the set of matchers for which the listener will receive events if ANY of the matchers match.

  Parameters:
    `listenerName` - the name of the listener to add the matcher to
    `matcher` - the additional matcher to apply for selecting events
  Returns:
    true if the given matcher was found and removed from the listener's list of matchers

### setTriggerListenerMatchers

    boolean setTriggerListenerMatchers(String listenerName,
                                       List<Matcher<TriggerKey>> matchers)

  Set the set of Matchers for which the listener will receive events if ANY of the matchers match.

  Removes any existing matchers for the identified listener!

  Parameters:
    `listenerName` - the name of the listener to add the matcher to
    `matchers` - the matchers to apply for selecting events
  Returns:
    true if the given matcher was found and removed from the listener's list of matchers

### getTriggerListenerMatchers

    List<Matcher<TriggerKey>> getTriggerListenerMatchers(String listenerName)

  Get the set of Matchers for which the listener will receive events if ANY of the matchers match.

  Parameters:
    `listenerName` - the name of the listener to add the matcher to
  Returns:
    the matchers registered for selecting events for the identified listener

### removeTriggerListener

    boolean removeTriggerListener(String name)

  Remove the identified ``TriggerListener`` from the `Scheduler`.

  Returns:
    true if the identified listener was found in the list, and removed.

### getTriggerListeners

    List<TriggerListener> getTriggerListeners()

  Get a List containing all of the ``TriggerListener``s in the `Scheduler`, in the order in which they were registered.

### getTriggerListener

    TriggerListener getTriggerListener(String name)

  Get the ``TriggerListener`` that has the given name.

### addSchedulerListener

    void addSchedulerListener(SchedulerListener schedulerListener)

  Register the given ``SchedulerListener`` with the `Scheduler`.

### removeSchedulerListener

    boolean removeSchedulerListener(SchedulerListener schedulerListener)

  Remove the given ``SchedulerListener`` from the `Scheduler`.

  Returns:
    true if the identified listener was found in the list, and removed.

### getSchedulerListeners

    List<SchedulerListener> getSchedulerListeners()

  Get a List containing all of the ``SchedulerListener``s registered with the `Scheduler`, in the order in which they were registered.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2013, Terracotta, Inc.